<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>NANO102/112 BSP: StdDriver/src/wdt.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">NANO102/112 BSP<span id="projectnumber">&#160;V3.04.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Nano102/112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_0d398eaf8b2db165a9197a6619ec9f0e.html">StdDriver</a></li><li class="navelem"><a class="el" href="../../dir_3abedc03644d33bc69016fb8a5546004.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle"><div class="title">wdt.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../db/d1a/wdt_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**************************************************************************/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span><span class="preprocessor">#include &quot;<a class="code" href="../../da/d91/_nano1_x2_series_8h.html">Nano1X2Series.h</a>&quot;</span></div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span> </div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno"><a class="line" href="../../d8/d9d/group___n_a_n_o1_x2___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae150a7a3e9d1e05a12fc6fd81af68a04">   47</a></span><span class="keywordtype">void</span>  <a class="code hl_function" href="../../d8/d9d/group___n_a_n_o1_x2___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae150a7a3e9d1e05a12fc6fd81af68a04">WDT_Open</a>(uint32_t u32TimeoutInterval,</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>               uint32_t u32ResetDelay,</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>               uint32_t u32EnableReset,</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>               uint32_t u32EnableWakeup)</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>{</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span> </div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>    <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga9646f603341e1ee220bf5d9948f05cb0">WDT</a>-&gt;CTL = u32TimeoutInterval | u32ResetDelay | <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a0b154996bcc340b63b0bf74a820c1868">WDT_CTL_WTE_Msk</a> |</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>               (u32EnableReset &lt;&lt; <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#ab76af8d0a5e7e227273a4aae286165ab">WDT_CTL_WTRE_Pos</a>) |</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>               (u32EnableWakeup &lt;&lt; <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a05462ff07e18f374be8ef9d26d2c088e">WDT_CTL_WTWKE_Pos</a>);</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>    <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>}</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span> </div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span> <span class="comment">/* end of group NANO1X2_WDT_EXPORTED_FUNCTIONS */</span></div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span> <span class="comment">/* end of group NANO1X2_WDT_Driver */</span></div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span> <span class="comment">/* end of group NANO1X2_Device_Driver */</span></div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span> </div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span><span class="comment">/*** (C) COPYRIGHT 2014 Nuvoton Technology Corp. ***/</span></div>
<div class="ttc" id="a_nano1_x2_series_8h_html"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html">Nano1X2Series.h</a></div><div class="ttdoc">Nano102/112 peripheral access layer header file. This file contains all the peripheral register's def...</div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a05462ff07e18f374be8ef9d26d2c088e"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a05462ff07e18f374be8ef9d26d2c088e">WDT_CTL_WTWKE_Pos</a></div><div class="ttdeci">#define WDT_CTL_WTWKE_Pos</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l10407">Nano1X2Series.h:10407</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a0b154996bcc340b63b0bf74a820c1868"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a0b154996bcc340b63b0bf74a820c1868">WDT_CTL_WTE_Msk</a></div><div class="ttdeci">#define WDT_CTL_WTE_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l10411">Nano1X2Series.h:10411</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_ab76af8d0a5e7e227273a4aae286165ab"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#ab76af8d0a5e7e227273a4aae286165ab">WDT_CTL_WTRE_Pos</a></div><div class="ttdeci">#define WDT_CTL_WTRE_Pos</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l10404">Nano1X2Series.h:10404</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n_html_ga9646f603341e1ee220bf5d9948f05cb0"><div class="ttname"><a href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga9646f603341e1ee220bf5d9948f05cb0">WDT</a></div><div class="ttdeci">#define WDT</div><div class="ttdoc">Pointer to WDT register structure.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l10630">Nano1X2Series.h:10630</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gae150a7a3e9d1e05a12fc6fd81af68a04"><div class="ttname"><a href="../../d8/d9d/group___n_a_n_o1_x2___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae150a7a3e9d1e05a12fc6fd81af68a04">WDT_Open</a></div><div class="ttdeci">void WDT_Open(uint32_t u32TimeoutInterval, uint32_t u32ResetDelay, uint32_t u32EnableReset, uint32_t u32EnableWakeup)</div><div class="ttdoc">This function make WDT module start counting with different time-out interval.</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d1a/wdt_8c_source.html#l00047">wdt.c:47</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 12:20:31 for NANO102/112 BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
